SDL_DelEventWatch(3)

NAME
SDL_DelEventWatch - Remove an event watch callback added with SDL_AddEventWatch ().

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DelEventWatch(SDL_EventFilter filter, void *userdata);

DESCRIPTION
This function takes the same input as SDL_AddEventWatch () to identify and delete the corresponding callback.

FUNCTION PARAMETERS

filter
    the function originally passed to SDL_AddEventWatch ()

userdata
    the pointer originally passed to SDL_AddEventWatch ()

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AddEventWatch(3)